Summary: Therion cave surveying toolset - 2D and 3D drawing software
Name: therion
Vendor: The Therion Project
Version: 6.3.4
Release: 1%{?dist}
License: GPL-2.0-only
Group: Applications/Misc
URL: http://therion.speleo.sk
Source0:   %{name}-%{version}.tar.gz
# FIXME
# include external dependencies when installing with cmake
#Patch0:    include_extern_so.patch
#Patch1:    loch-on-wayland.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Packager: James Begley <james@jmbegley.org.uk>
Requires: ghostscript, ImageMagick, tkimg, survex, bwidget

BuildRequires: bash, tcl, catch2-devel, fmt-devel, gettext, ninja-build, proj-devel, shapelib-devel, vtk-devel, wxGTK-devel
BuildRequires: texlive-amsfonts, texlive-collection-metapost, texlive-mflogo-font, texlive-pdftex-quiet, texlive-metapost

# FIXME
# Disable Debuginfo package generation to bypass "Empty %%files file [...]/debugfiles.list" error
# https://docs.fedoraproject.org/en-US/quick-docs/bugzilla-providing-a-stacktrace/#debuginfo
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Debuginfo/
%undefine _debugsource_packages

%description
Therion is a complete package which processes survey data and generates maps or 3D models of caves. It runs on wide variety of platforms: Linux, Windows, Mac OS X. It is completely free, released under the terms of GNU GPL, with source code available. It doesn't require any other commercial software to run.

%prep
%autosetup -p 1

%build
%cmake -G Ninja -DCMAKE_BUILD_TYPE=Release -DTHBOOK_FORMAT=0 \
       -DUSE_BUNDLED_SHAPELIB=OFF -DUSE_BUNDLED_CATCH2=OFF \
       ./
%cmake_build

%install
%cmake_install
%find_lang loch

%files -f loch.lang
%defattr(-, root, root)
%{_bindir}/therion
%{_bindir}/xtherion
%{_bindir}/loch
%{_prefix}%{_sysconfdir}/therion.ini
%{_prefix}%{_sysconfdir}/xtherion.ini
%{_prefix}%{_sysconfdir}/therion.ini.new
%{_prefix}%{_sysconfdir}/xtherion.ini.new
%doc CHANGES README
%doc %{_docdir}/therion/*
%doc %{_docdir}/therion-viewer/help/*
%license COPYING

%changelog
* Mon Apr 14 2025 James Begley <james@jmbegley.org.uk> - 6.3.4-1
- Upstream release 6.3.4
- drop upstream patches

* Mon Apr 14 2025 James Begley <james@jmbegley.org.uk> - 6.3.3-3
- Updated BuildRequires to enable building on fedora 42

* Tue Jan 14 2025 James Begley <james@jmbegley.org.uk> - 6.3.3-2
- Patch from Olly Betts to avoid loch segfault under wayland

* Mon Jan 06 2025 James Begley <james@jmbegley.org.uk> - 6.3.3-1
- Upstream release 6.3.3

* Fri Dec 20 2024 James Begley <james@jmbegley.org.uk> - 6.3.1-1
- Upstream release 6.3.1
- Patches from Ari Cooper-Davis to get cmake builds working

* Mon Jul 24 2023 James Begley <james@jmbegley.org.uk> - 6.1.8-1
- Upstream release 6.1.8
- Switch to using cmake with changes to the BuildRequires packages

* Sat Aug 13 2022 James Begley <james@jmbegley.org.uk> - 6.1.2-1
- Upstream release 6.1.2

* Sun May 29 2022 James Begley <james@jmbegley.org.uk> - 6.1.0-1
- Upstream release 6.1.0

* Mon Mar 14 2022 James Begley <james@jmbegley.org.uk> - 6.0.6-1
- Upstream release 6.0.6

* Sun Feb 20 2022 James Begley <james@jmbegley.org.uk> - 6.0.5-1
- Upstream release 6.0.5

* Mon Nov 29 2021 James Begley <james@jmbegley.org.uk> - 6.0.4-1
- Upstream release 6.0.4

* Sun Oct 03 2021 James Begley <james@jmbegley.org.uk> - 6.0.3-2
- Split out various TexLive BuildRequires packages

* Sun Oct 03 2021 James Begley <james@jmbegley.org.uk> - 6.0.3-1
- Upstream release 6.0.3

* Mon Sep 20 2021 James Begley <james@jmbegley.org.uk> - 6.0.2-1
- Upstream release 6.0.2

* Sun Jul 25 2021 James Begley <james@jmbegley.org.uk> - 6.0.1-1
- Upstream release 6.0.1

* Wed Jul 14 2021 James Begley <james@jmbegley.org.uk> - 6.0.0-1
- Upstream release 6.0.0

* Fri Jun 18 2021 James Begley <james@jmbegley.org.uk> - 5.5.7-2
- Add texlive-collection-metapost to Requires: line (spotted by Bill Gee)

* Sat Feb 06 2021 James Begley <james@jmbegley.org.uk> - 5.5.7-1
- Upstream release 5.5.7

* Sun Dec 27 2020 James Begley <james@jmbegley.org.uk> - 5.5.6-1
- Upstream release 5.5.6

* Wed Dec 23 2020 James Begley <james@jmbegley.org.uk> - 5.5.5-1
- Upstream release 5.5.5
- Github commit 5a614ef to address printing statistics issue

* Thu Dec 17 2020 James Begley <james@jmbegley.org.uk> - 5.5.4-1
- Upstream release 5.5.4

* Mon Oct 19 2020 James Begley <james@jmbegley.org.uk> - 5.5.3-1
- Upstream release 5.5.3

* Mon Oct 12 2020 James Begley <james@jmbegley.org.uk> - 5.5.2-1
- Upstream release 5.5.2

* Fri Jul 03 2020 James Begley <james@jmbegley.org.uk> - 5.5.1-1
- Upstream release 5.5.1

* Fri May 01 2020 James Begley <james@jmbegley.org.uk> - 5.5.0-1
- Upstream release 5.5.0

* Sat Dec 07 2019 James Begley <james@jmbegley.org.uk> - 5.4.4-2
- Fix for github issue #158 loch fails to start

* Wed May 01 2019 James Begley <james@jmbegley.org.uk> - 5.4.4-1
- Upstream release 5.4.4

* Fri Feb 01 2019 James Begley <james@jmbegley.org.uk> - 5.4.3-1
- Upstream release 5.4.3

* Thu May 04 2017 James Begley <james@jmbegley.org.uk> - 5.4.1-2
- Fix for loch issue

* Sun Apr 30 2017 James Begley <james@jmbegley.org.uk> - 5.4.1-1
- Upstream release 5.4.1
- Re-enable external proj4

* Fri Apr 07 2017 James Begley <james@jmbegley.org.uk> - 5.4.0-1
- Upstream release 5.4.0
- Remove external proj4

* Fri Jan 08 2016 James Begley <james@jmbegley.org.uk> - 5.3.16-1
- Initial RPM release

